#
# Copyright (C) 2021 diabible.com
#
# This file is part of Diabible Parser.
#
# Diabible Parser is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Diabible Parser is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Diabible Parser. If not, see <http://www.gnu.org/licenses/>.
#
# Authors: Michal Mocnak <michal@marigan.net>
#

module Diabible
  module Parser
    module Helpers
      module Info

        private

        # parse info box with document metadata
        def parse_info
          @document.xpath("//tbl//tc").each do |tc|
            # store name of the meta field
            name = tc.xpath(".//tag/@val")
            # check if exists and store as a meta
            unless name.empty?
              # parse value
              value = content(tc, ".//sdtContent//t")
              # add meta
              add_metadata("info", name.first.value, value)
            end
          end
        end
      end
    end
  end
end
